Subject: Re: [PATCH net-next v2 1/2] net: dsa: mv88e6xxx: Save switch rules

From: Andrew Lunn <[email-masked]>
Date: Mon, 28 Jan 2019 15:44:17 +0100

> I don't see where VLAN and bridge information are cached, can you point
> me to the relevant locations?

Miquèl

The bridge should have all that information. You need to ask it to
enumerate the current configuration and replay it to the switch.

There might be something in the Mellanox driver you can copy? But i've
not looked, i'm just guessing.

We also need to think about how we are going to test this. There is a
lot of state information in a switch. So we are going to need some
pretty good tests to show we have recreated all of it.

       Andrew